# AuditService

The AuditService acts as a "gateway" to Umbraco data for operations which are related to the audit trail.

[Browse the API documentation for IAuditService interface](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.Services.IAuditService.html).

* **Namespace:** `Umbraco.Cms.Core.Services`
* **Assembly:** `Umbraco.Core.dll`

All samples in this document will require references to the following dll:

* Umbraco.Core.dll

All samples in this document will require the following using statements:

```csharp
using Umbraco.Cms.Core.Services;
```

For Razor views:

```csharp
@using Umbraco.Cms.Core.Services
```

## Getting the service

### Dependency Injection

If you wish to use the audit service in a class, you need to use Dependency Injection (DI). For instance if you have registered your own class in Umbraco's DI container, you can specify the `IAuditService` interface in your constructor:

```csharp
public class MyClass
{
    private IAuditService _auditService;

    public MyClass(IAuditService auditService)
    {
        _auditService = auditService;
    }
}
```

In Razor views, you can access the audit service through the `@inject` directive:

```csharp
@inject IAuditService AuditService
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/services/auditservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
